org.richfaces.model

## Enum ChartDataModel.ChartType

- java.lang.Object
- - java.lang.Enum<ChartDataModel.ChartType>
  - - org.richfaces.model.ChartDataModel.ChartType

- All Implemented Interfaces:
    Serializable, Comparable<ChartDataModel.ChartType>
  Enclosing class:
    ChartDataModel<T,S>

      public static enum ChartDataModel.ChartType
      extends Enum<ChartDataModel.ChartType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `bar`
    `line`
    `pie`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ChartDataModel.ChartType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ChartDataModel.ChartType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### line

          public static final ChartDataModel.ChartType line

    - #### bar

          public static final ChartDataModel.ChartType bar

    - #### pie

          public static final ChartDataModel.ChartType pie

  - ### Method Detail

    - #### values

          public static ChartDataModel.ChartType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChartDataModel.ChartType c : ChartDataModel.ChartType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChartDataModel.ChartType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.